package com.persagy.proxy.adm.controller;

import com.persagy.proxy.adm.constant.AdmCommonConstant;
import com.persagy.proxy.adm.model.AdmObjectType;
import com.persagy.proxy.adm.request.AdmResponse;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.ws.rs.QueryParam;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName AdmLabslController
 * @Description: 平面图接口
 * @Author linhuili
 * @Date 2021/9/18 13:01
 * @Version V1.0
 **/
@RestController
@RequestMapping("/planar")
@Slf4j
public class AdmPlanarController {

    @Value("${middleware.group.code}")
    private String groupCode;

    @Autowired

    /**
     * 查询设备信息
     * @return
     * @throws Exception
     */
    @PostMapping("/equip")
    public AdmResponse queryEquip(@QueryParam("projectId") String projectId,
                                          @RequestBody List<String> ids) throws Exception {
        InstanceUrlParam context = new InstanceUrlParam(groupCode, null, projectId, AdmCommonConstant.APP_ID);
        //
        return AdmResponse.success(new ArrayList<>());
    }
}
